GroovyParser.GroovyParserRuleContext (Groovy 4.0.15)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.GroovyParserRuleContext

- org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

- All Implemented Interfaces and Traits:
    NodeMetaDataHandler

      public static class GroovyParser.GroovyParserRuleContext
      extends ParserRuleContext
      implements NodeMetaDataHandler

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ParserRuleContext` | `children, start, stop, exception, parent, invokingState`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyParserRuleContext()`
    `GroovyParserRuleContext(ParserRuleContext parent, int invokingStateNumber)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Map<?, ?>` | `getMetaDataMap()`
    `` | `public void` | `setMetaDataMap(Map<?, ?> metaDataMap)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ParserRuleContext` | `getChildCount, getChild, getChild, getChild, getParent, getParent, getParent, getParent, getParent, copyFrom, getToken, addChild, addChild, addChild, emptyContext, getStart, getStop, getTokens, getRuleContext, getSourceInterval, getRuleContexts, enterRule, addAnyChild, toInfoString, removeLastChild, addErrorNode, addErrorNode, exitRule, toString, toString, toString, toString, toString, isEmpty, depth, accept, setParent, getPayload, getPayload, getText, getRuleContext, toStringTree, toStringTree, toStringTree, getAltNumber, setAltNumber, getRuleIndex, getChildContext, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GroovyParserRuleContext()

    - #### public GroovyParserRuleContext(ParserRuleContext parent, int invokingStateNumber)

  - ### Method Detail

    - #### @Override
      public Map<?, ?> getMetaDataMap()

    - #### @Override
      public void setMetaDataMap(Map<?, ?> metaDataMap)